TestAbstractArLibrarian (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.gcc.TestAbstractArLibrarian class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.gcc
Class TestAbstractArLibrarian

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.compiler.TestAbstractProcessor
                  net.sf.antcontrib.cpptasks.compiler.TestAbstractLinker
                      net.sf.antcontrib.cpptasks.gcc.TestAbstractArLibrarian

All Implemented Interfaces:
  junit.framework.Test

    public class TestAbstractArLibrarian

extends TestAbstractLinker

Tests for classes that derive from AbstractArLibrarian

Author:
  CurtA

Constructor Summary
`TestAbstractArLibrarian(java.lang.String name)` Constructor

Method Summary
`protected net.sf.antcontrib.cpptasks.compiler.AbstractProcessor` | `create()` Creates item under test @returns item under test
`void` | `testBid()` Override of
`void` | `testGetIdentfier()`
`void` | `testGetLibraryPatterns()` Tests for library patterns See patch [ 676276 ] Enhanced support for Mac OS X
`void` | `testOutputFileName()` Tests output file for ar library See bug [ 687732 ] Filenames for gcc static library does start with lib

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestAbstractArLibrarian

    public TestAbstractArLibrarian(java.lang.String name)

  Constructor

  Parameters:
    `name` - test name
  See Also:
    `TestCase.TestCase(String)`

Method Detail

### create

    protected net.sf.antcontrib.cpptasks.compiler.AbstractProcessor create()

  Creates item under test @returns item under test

  Overrides:
    `create` in class `TestAbstractLinker`
  See Also:
    `TestAbstractProcessor.create()`

### testBid

    public void testBid()

  Override of

  Overrides:
    `testBid` in class `TestAbstractLinker`
  See Also:
    `TestAbstractProcessor.testBid()`

### testGetIdentfier

    public void testGetIdentfier()

  Overrides:
    `testGetIdentfier` in class `TestAbstractProcessor`

### testGetLibraryPatterns

    public void testGetLibraryPatterns()

  Tests for library patterns See patch [ 676276 ] Enhanced support for Mac OS X

### testOutputFileName

    public void testOutputFileName()

  Tests output file for ar library See bug [ 687732 ] Filenames for gcc static library does start with lib

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.